﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Agilent DSO80x04B (1 yr) VER IEEE /9500+G3,5Hd
DATE:                  2017-02-06 09:18:01
AUTHOR:                Fluke
REVISION:              $Revision: 18156 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       271
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Fluke 9560 on channel 5
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent DSO80204B, DSO80304B, DSO80404B, DSO80604B
#
#  Compatibility:
#         MET/CAL 7.11 SP1 (7.11j) or later
#
#  Source(s):
#        Agilent 80000 Series Infiniium Oscilloscopes Service Guide,
#         Part No. D8104-97000, February 2006
#
#  Additional Equipment Required:
#        Adapter, 3.5 mm (f) SMA to Precision BNC, Agilent Part No.
#         54855-67604, No Substitute
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  M9500                       CH1
  1.004  9500         1GH                          100mVpp        LS    S  L
  1.005  M9500                       CH2
  1.006  9500         1GH                          100mVpp        LS    S  L
  1.007  M9500                       CH3
  1.008  9500         1GH                          100mVpp        LS    S  L
  1.009  M9500                       CH4
  1.010  9500         1GH                          100mVpp        LS    S  L
  1.011  M9500                       CH5
  1.012  9500         6GH                          100mVpp        LS    S  L
  1.013  ENDIF

  1.014  CALL         Sub Copyright
  1.015  MATH         PUT("Req_METCAL_Version", "7.11j")
  1.016  CALL         Sub Check MET/CAL Version

  1.017  IF           GET("METCAL_Version_OK") != 1
  1.018  DISP         This procedure requires MET/CAL 7.11j or later.
  1.019  END
  1.020  ENDIF

  1.021  HEAD         PRELIMINARY INSTRUCTIONS
  1.022  DISP         Ensure a minimum UUT warm-up time of at least
  1.022  DISP         30 minutes has been allowed to elapse, prior
  1.022  DISP         to beginning verification.

  1.023  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.023  DISP         operation. From the menu bar (using the mouse):
  1.023  DISP
  1.023  DISP         Select "Utilities", followed by "GPIB Setup..."
  1.023  DISP
  1.023  DISP         Note the UUT address. If this workstation is equipped
  1.023  DISP         with two GPIB cards, the address is unimportant, as
  1.023  DISP         long as it is not (0) zero. If, however, only 1 GPIB
  1.023  DISP         card is installed, the UUT address must not conflict
  1.023  DISP         with those of configured reference(s).
  1.023  DISP
  1.023  DISP         Select an appropriate address, as necessary.

  1.024  DISP         Connect the UUT to the workstation to the available
  1.024  DISP         IEEE-488 Port.

  1.025  SCPI         *RST
# Set Post-Test reset condition for UUT.
  1.026  RESET        *CLS[GTL]

  1.027  HEAD         UUT IDENTIFICATION
  1.028  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE
# Make sure correct UUT is connected.
  1.029  MATH         S[1] = GETV("Manufacturer"); S[2] = GETV("Model_Num")
  1.030  MATH         L[1] = ZCMPI("Agilent Technologies", S[1])
  1.031  MATH         L[2] = ZCMPI(S[7], S[2])

  1.032  IF           (L[1] && L[2]) == 0
  1.033  DISP         The UUT is an [S1] [S2],
  1.033  DISP         not an Agilent Technologies [S7]!
  1.034  END
  1.035  ENDIF

  1.036  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.037  CALL         Sub Pause on Failed Tests
  1.038  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.039  HEAD         EQUIPMENT REQUIRED
  1.040  DISP         The following additional equipment is required to
  1.040  DISP         facilitate the verification:
  1.040  DISP
  1.040  DISP         - Adapter, precision, Agilent Part No. 54855-67604,
  1.040  DISP         [32] no substitute

  1.041  CALL         Sub Connector Precautions (3.5 mm)

  1.042  RSLT         =
  1.043  HEAD         SELF TEST
  1.044  TARGET
  1.045  DISP         Ensure nothing is connected to the UUT input
  1.045  DISP         channels at this time.
  1.045  DISP
  1.045  DISP         NOTE: Self-Test takes approximately 5 minutes
  1.045  DISP         [32]     to complete.
  1.046  SCPI         [T300000]*TST?[I]
  1.047  EVAL   -e MEM == 0 : SELF TEST
  2.001  SCPI         *RST

  2.002  RSLT         =
  2.003  HEAD         {VERTICAL PERFORMANCE ACCURACY}
  2.004  MATH         PUT("Chan", 1)
  2.005  M9500                       CH1
  2.006  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.007  MATH         PUT("Chan", 2)
  2.008  M9500                       CH2
  2.009  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.010  MATH         PUT("Chan", 3)
  2.011  M9500                       CH3
  2.012  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE
  2.013  MATH         PUT("Chan", 4)
  2.014  M9500                       CH4
  2.015  CALL         Sub AT DSO8xxxx (1 yr) Offset Zero VER IEEE

  2.016  HEAD         INSTRUMENT CONNECTIONS
  2.017  DISP         Make the following connections:
  2.017  DISP
  2.017  DISP         [32]       9500          to    UUT
  2.017  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1
  2.017  DISP         [32]  CH2 ACTIVE HEAD -------> Ch 2
  2.017  DISP         [32]  CH3 ACTIVE HEAD -------> Ch 3
  2.017  DISP         [32]  CH4 ACTIVE HEAD -------> Ch 4

  2.018  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  2.019  DISP         The next routine operator intervention occurs
  2.019  DISP         in approximately 7 minutes...
  2.020  ELSE
  2.021  DISP         The next routine operator intervention occurs
  2.021  DISP         in approximately 1 hour, 16 minutes.
  2.022  ENDIF

  2.023  MATH         PUT("Chan", 1)
  2.024  M9500                       CH1
  2.025  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.026  JMPL         CH1_DCV_GAIN

  2.027  LABEL        CH2_OFFSET_GAIN
  2.028  MATH         PUT("Chan", 2)
  2.029  M9500                       CH2
  2.030  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.031  JMPL         CH2_DCV_GAIN

  2.032  LABEL        CH3_OFFSET_GAIN
  2.033  MATH         PUT("Chan", 3)
  2.034  M9500                       CH3
  2.035  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.036  JMPL         CH3_DCV_GAIN

  2.037  LABEL        CH4_OFFSET_GAIN
  2.038  MATH         PUT("Chan", 4)
  2.039  M9500                       CH4
  2.040  CALL         Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
  2.041  JMPL         CH4_DCV_GAIN

  2.042  LABEL        CH1_DCV_GAIN
  2.043  MATH         PUT("Chan", 1)
  2.044  M9500                       CH1
  2.045  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.046  JMPL         CH2_OFFSET_GAIN

  2.047  LABEL        CH2_DCV_GAIN
  2.048  MATH         PUT("Chan", 2)
  2.049  M9500                       CH2
  2.050  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.051  JMPL         CH3_OFFSET_GAIN

  2.052  LABEL        CH3_DCV_GAIN
  2.053  MATH         PUT("Chan", 3)
  2.054  M9500                       CH3
  2.055  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.056  JMPL         CH4_OFFSET_GAIN

  2.057  LABEL        CH4_DCV_GAIN
  2.058  MATH         PUT("Chan", 4)
  2.059  M9500                       CH4
  2.060  CALL         Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
  2.061  DISP         Remove all connections.

  2.062  DISP         Make the following connections:
  2.062  DISP
  2.062  DISP         [32]       9500          to    UUT
  2.062  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 1
  2.062  DISP
  2.062  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.062  DISP         [32]     to facilitate the connection between the
  2.062  DISP         [32]     9560 Active Head and the UUT.

  2.063  MATH         PUT("Chan", 1)
  2.064  M9500                       CH5
  2.065  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /9560

  2.066  DISP         Make the following connections:
  2.066  DISP
  2.066  DISP         [32]       9500          to    UUT
  2.066  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 2
  2.066  DISP
  2.066  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.066  DISP         [32]     to facilitate the connection between the
  2.066  DISP         [32]     9560 Active Head and the UUT.

  2.067  MATH         PUT("Chan", 2)
  2.068  M9500                       CH5
  2.069  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /9560

  2.070  DISP         Make the following connections:
  2.070  DISP
  2.070  DISP         [32]       9500          to    UUT
  2.070  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 3
  2.070  DISP
  2.070  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.070  DISP         [32]     to facilitate the connection between the
  2.070  DISP         [32]     9560 Active Head and the UUT.

  2.071  MATH         PUT("Chan", 3)
  2.072  M9500                       CH5
  2.073  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /9560

  2.074  DISP         Make the following connections:
  2.074  DISP
  2.074  DISP         [32]       9500          to    UUT
  2.074  DISP         [32]  CH5 ACTIVE HEAD -------> Ch 4
  2.074  DISP
  2.074  DISP         NOTE: Included accessory 54855-67604 MUST be used
  2.074  DISP         [32]     to facilitate the connection between the
  2.074  DISP         [32]     9560 Active Head and the UUT.

  2.075  MATH         PUT("Chan", 4)
  2.076  M9500                       CH5
  2.077  CALL         Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /9560

  2.078  DISP         V E R I F I C A T I O N  C O M P L E T E!
  2.079  END
